summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci/build_deb/Dockerfile1
-rw-r--r--ci/build_rpm/Dockerfile1
-rwxr-xr-xci/cyclicTestTrigger.sh4
-rwxr-xr-xci/envs/guest-setup0.sh3
-rwxr-xr-xci/envs/host-config11
-rwxr-xr-xci/envs/host-setup0.sh4
-rwxr-xr-xci/test_kvmfornfv.sh38
7 files changed, 58 insertions, 4 deletions
diff --git a/ci/build_deb/Dockerfile b/ci/build_deb/Dockerfile
index 676afcf67..e097e814b 100644
--- a/ci/build_deb/Dockerfile
+++ b/ci/build_deb/Dockerfile
@@ -14,6 +14,7 @@ RUN apt-get update && apt-get install -y \
zlibc \
zlib1g \
zlib1g-dev \
+ libssl-dev \
libglib2.0-dev \
libtool \
flex \
diff --git a/ci/build_rpm/Dockerfile b/ci/build_rpm/Dockerfile
index 6004c9057..fd2ab97f2 100644
--- a/ci/build_rpm/Dockerfile
+++ b/ci/build_rpm/Dockerfile
@@ -12,6 +12,7 @@ RUN yum -y update && yum -y install \
gettext \
bc \
bison\
+ openssl-devel \
flex\
rpm \
rpm-build
diff --git a/ci/cyclicTestTrigger.sh b/ci/cyclicTestTrigger.sh
index 4315aab5c..43d2d6ac5 100755
--- a/ci/cyclicTestTrigger.sh
+++ b/ci/cyclicTestTrigger.sh
@@ -154,8 +154,10 @@ function runCyclicTest {
sudo docker run -i -v ${volume}:/opt --net=host --name kvmfornfv_${testType}_${testName} \
kvmfornfv:latest /bin/bash -c "cd /opt/scripts && ls; ./cyclictest.sh $testType $testName"
cyclictest_output=$?
+ if [ "$testName" == "iostress_idle" ];then
+ copyLogs
+ fi
#Verifying the results of cyclictest
-
if [ "$testType" == "verify" ];then
result=`grep -o '"errors":[^,]*' ${volume}/yardstick.out | awk -F '"' '{print $4}'`
diff --git a/ci/envs/guest-setup0.sh b/ci/envs/guest-setup0.sh
index 301d34cbe..fb3133b9f 100755
--- a/ci/envs/guest-setup0.sh
+++ b/ci/envs/guest-setup0.sh
@@ -64,5 +64,6 @@ config_grub 'idle' 'poll'
## Disable clocksource verification at runtime
config_grub 'tsc' 'reliable'
-grub2-mkconfig -o /boot/grub2/grub.cfg
+sed -ie 's/saved/0/g' /etc/default/grub
install_kernel
+grub2-mkconfig -o /boot/grub2/grub.cfg
diff --git a/ci/envs/host-config b/ci/envs/host-config
index 4742cc422..99cbb3773 100755
--- a/ci/envs/host-config
+++ b/ci/envs/host-config
@@ -16,6 +16,7 @@ huge_pages=2
# QEMU executable path and number of cpus for guest
qemu=/usr/local/bin/qemu-system-x86_64
guest_cpus=2
+pcm_memory=/root/pcm/pcm-memory.x
# Isolated cpus for nfv, must be given as a range '-' and Numa node1 CPU's should be considered
host_isolcpus=`lscpu | grep "NUMA node1 CPU(s)"| awk -F ':' '{print \$2}' | sed 's/[[:space:]]//g'`
@@ -44,3 +45,13 @@ function err_exit {
exit $exitCode
}
+function copyLogs {
+ echo "Copying Log files from Node to Jump Server"
+ sudo ssh root@${HOST_IP} "cd /root;tar -czvf MBWInfo.tar.gz MBWInfo"
+ mkdir -p $WORKSPACE/build_output/log/MBWInfo
+ scp root@${HOST_IP}:/root/MBWInfo.tar.gz $WORKSPACE/build_output/log/MBWInfo
+ echo "Listing all the logs collected"
+ cd $WORKSPACE;ls build_output/log/MBWInfo;
+ sudo ssh root@${HOST_IP} "cd /root;rm -rf MBWInfo MBWInfo.tar.gz"
+}
+
diff --git a/ci/envs/host-setup0.sh b/ci/envs/host-setup0.sh
index 0778aae96..1bd7f1205 100755
--- a/ci/envs/host-setup0.sh
+++ b/ci/envs/host-setup0.sh
@@ -76,6 +76,6 @@ config_grub 'idle' 'poll'
## Disable clocksource verification at runtime
config_grub 'tsc' 'reliable'
-grub2-mkconfig -o /boot/grub2/grub.cfg
-
install_kernel
+
+grub2-mkconfig -o /boot/grub2/grub.cfg
diff --git a/ci/test_kvmfornfv.sh b/ci/test_kvmfornfv.sh
index 60dacd042..20bdaeefb 100755
--- a/ci/test_kvmfornfv.sh
+++ b/ci/test_kvmfornfv.sh
@@ -47,6 +47,8 @@ function cyclictest {
updateYaml
#Cleaning up the test environment before running cyclictest through yardstick.
env_clean
+ #Running PCM utility
+ collect_MBWInfo $test_type
#Creating a docker image with yardstick installed and launching ubuntu docker to run yardstick cyclic testcase
if runCyclicTest;then
cyclictest_result=`expr ${cyclictest_result} + 0`
@@ -54,6 +56,40 @@ function cyclictest {
echo "Test case execution FAILED for ${test_case} environment"
cyclictest_result=`expr ${cyclictest_result} + 1`
fi
+ echo "Terminating PCM Process"
+ sudo ssh root@${HOST_IP} "pid=\$(ps aux | grep 'pcm' | awk '{print \$2}' | head -1); echo \$pid |xargs kill -SIGTERM"
+}
+function collect_MBWInfo {
+ #Collecting the Memory Bandwidth Information using pcm-memory utility
+ source $WORKSPACE/ci/envs/host-config
+ testType=$1
+ timeStamp=$(date +%Y%m%d%H%M%S)
+ echo "Running PCM memory to collect memory bandwidth"
+ sudo ssh root@${HOST_IP} "mkdir -p /root/MBWInfo"
+ sudo ssh root@${HOST_IP} "${pcm_memory} 60 &>/root/MBWInfo/MBWInfo_${testType}_${timeStamp} &disown"
+}
+function install_pcm {
+ source $WORKSPACE/ci/envs/host-config
+ sudo ssh root@${HOST_IP} '
+ modelName=`cat /proc/cpuinfo | grep -i "model name" | uniq`
+ if echo "$modelName" | grep -i "xeon" ;then
+ echo "pcm utility supports $modelName processor"
+ else
+ echo "check for the pcm utility supported processors"
+ exit 1
+ fi
+ cd /root
+ if [ ! -d "pcm" ]; then
+ `git clone https://github.com/opcm/pcm`
+ cd pcm
+ make
+ echo "Disabling NMI Watchdog"
+ echo 0 > /proc/sys/kernel/nmi_watchdog
+ echo "To Access MSR registers installing msr-tools"
+ sudo yum install msr-tools
+ sudo modprobe msr
+ fi
+ '
}
function ftrace_disable {
@@ -67,6 +103,7 @@ function ftrace_disable {
if [ ${test_type} == "verify" ];then
HOST_IP="10.10.100.21"
test_time=1000 # 1s
+ install_pcm
if [ ${ftrace_enable} -eq '1' ]; then
for env in ${cyclictest_env_verify[@]}
do
@@ -99,6 +136,7 @@ if [ ${test_type} == "verify" ];then
elif [ ${test_type} == "daily" ];then
HOST_IP="10.10.100.22"
test_time=3600000 #1h
+ install_pcm
if [ ${test_name} == "packet_forward" ];then
packetForward
if [ ${packetforward_result} -ne 0 ] ; then